<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_top_bg"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_merchant_detail_top_bg"
        app:layout_constraintDimensionRatio="h,1125:528"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="100dp"
        android:layout_marginEnd="@dimen/dp_16"
        app:layout_constraintDimensionRatio="h,1:1"
        app:layout_constraintTop_toTopOf="parent" />

    <com.cheng.bole.widget.CommonShapeView
        android:id="@+id/tv_indicator"
        android:layout_width="@dimen/dp_40"
        android:layout_height="@dimen/dp_20"
        android:layout_marginEnd="@dimen/dp_28"
        android:layout_marginBottom="@dimen/dp_12"
        android:text="1/4"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_12"
        app:csb_cornerRadius="@dimen/dp_10"
        app:csb_fillColor="#80000000"
        app:csb_strokeColor="@color/white"
        app:csb_strokeWidth="0.5dp"
        app:layout_constraintBottom_toTopOf="@id/nestedScrollView"
        app:layout_constraintEnd_toEndOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="276dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="@id/viewPager">

        <eightbitlab.com.blurview.BlurView
            android:id="@+id/layout_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/shape_trans_top_line_cor20"
            app:blurOverlayColor="#4DFFFFFF">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.lihang.ShadowLayout
                    android:id="@+id/layout_goods_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_9"
                    android:layout_marginTop="@dimen/dp_13"
                    android:layout_marginEnd="@dimen/dp_9"
                    app:hl_cornerRadius="@dimen/dp_12"
                    app:hl_shadowColor="@color/color_shadow"
                    app:hl_shadowLimit="@dimen/dp_7"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_12"
                        android:paddingTop="@dimen/dp_16"
                        android:paddingEnd="@dimen/dp_12">

                        <TextView
                            android:id="@+id/tv_price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="18.8"
                            android:textColor="@color/color_ff493c"
                            android:textSize="@dimen/sp_26"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_goods_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_6"
                            android:fontFamily="sans-serif-medium"
                            android:text="室内木门"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_18"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/tv_price" />

                        <TextView
                            android:id="@+id/tv_view_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="已浏览 0"
                            android:textColor="@color/color_999999"
                            android:textSize="@dimen/sp_10"
                            app:layout_constraintBottom_toBottomOf="@id/tv_price"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@id/tv_price" />

                        <com.cheng.bole.widget.CommonShapeView
                            android:id="@+id/tv_location"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/dp_18"
                            android:layout_marginTop="@dimen/dp_8"
                            android:paddingStart="@dimen/dp_4"
                            android:paddingEnd="@dimen/dp_4"
                            android:text="全国"
                            android:textColor="@color/color_585d6c"
                            android:textSize="@dimen/sp_11"
                            app:csb_cornerRadius="@dimen/dp_2"
                            app:csb_fillColor="@color/color_f4f6fa"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/tv_goods_name" />

                        <View
                            android:id="@+id/divider"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_2"
                            android:layout_marginTop="@dimen/dp_22"
                            android:background="@drawable/shape_dde2eb_dash_divider_h"
                            app:layout_constraintTop_toBottomOf="@id/tv_location" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_contacts"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:overScrollMode="never"
                            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                            app:layout_constraintTop_toBottomOf="@id/divider"
                            tools:itemCount="1"
                            tools:listitem="@layout/listitem_merchant_contacts" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                </com.lihang.ShadowLayout>

                <com.lihang.ShadowLayout
                    android:id="@+id/layout_company_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_9"
                    android:layout_marginEnd="@dimen/dp_9"
                    app:hl_cornerRadius="@dimen/dp_12"
                    app:hl_shadowColor="@color/color_shadow"
                    app:hl_shadowLimit="@dimen/dp_7"
                    app:layout_constraintTop_toBottomOf="@id/layout_goods_info">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_12"
                        android:paddingTop="@dimen/dp_16"
                        android:paddingEnd="@dimen/dp_12"
                        android:paddingBottom="@dimen/dp_16">

                        <TextView
                            android:id="@+id/tv_company_avatar"
                            android:layout_width="@dimen/dp_50"
                            android:layout_height="@dimen/dp_50"
                            android:layout_marginStart="@dimen/dp_12"
                            android:background="@mipmap/ic_company_name_avatar_bg"
                            android:gravity="center"
                            android:text="永康\n市欧"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_15"
                            android:textStyle="bold"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_company_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_12"
                            android:layout_marginTop="@dimen/dp_2"
                            android:layout_marginEnd="@dimen/dp_12"
                            android:ellipsize="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="永康市欧努家具有限公司"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintEnd_toStartOf="@id/btn_next"
                            app:layout_constraintStart_toEndOf="@id/tv_company_avatar"
                            app:layout_constraintTop_toTopOf="@id/tv_company_avatar" />

                        <com.cheng.bole.widget.CommonShapeView
                            android:id="@+id/tv_company_city"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/dp_18"
                            android:layout_marginBottom="@dimen/dp_5"
                            android:paddingStart="@dimen/dp_4"
                            android:paddingEnd="@dimen/dp_4"
                            android:text="浙江"
                            android:textColor="@color/color_0ca8ff"
                            android:textSize="@dimen/sp_11"
                            app:csb_cornerRadius="@dimen/dp_2"
                            app:csb_fillColor="@color/color_e6f6ff"
                            app:layout_constraintBottom_toBottomOf="@id/tv_company_avatar"
                            app:layout_constraintStart_toStartOf="@id/tv_company_name" />

                        <com.cheng.bole.widget.CommonShapeView
                            android:id="@+id/btn_next"
                            android:layout_width="@dimen/dp_60"
                            android:layout_height="@dimen/dp_28"
                            android:text="查看"
                            android:textColor="@color/color_125ffe"
                            android:textSize="@dimen/sp_14"
                            app:csb_cornerRadius="@dimen/dp_25"
                            app:csb_strokeColor="@color/color_125ffe"
                            app:csb_strokeWidth="@dimen/dp_1"
                            app:layout_constraintBottom_toBottomOf="@id/tv_company_avatar"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@id/tv_company_avatar" />

                    </androidx.constraintlayout.widget.ConstraintLayout>
                </com.lihang.ShadowLayout>

                <com.lihang.ShadowLayout
                    android:id="@+id/layout_other"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_9"
                    android:layout_marginEnd="@dimen/dp_9"
                    app:hl_cornerRadius="@dimen/dp_12"
                    app:hl_shadowColor="@color/color_shadow"
                    app:hl_shadowLimit="@dimen/dp_7"
                    app:layout_constraintTop_toBottomOf="@id/layout_company_info">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_12"
                        android:paddingTop="@dimen/dp_16"
                        android:paddingEnd="@dimen/dp_12"
                        android:paddingBottom="@dimen/dp_16">

                        <TextView
                            android:id="@+id/tv_extra_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="-其他说明-"
                            android:textColor="@color/color_999999"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_extra"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_16"
                            android:text="无"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintHeight_min="@dimen/dp_100"
                            app:layout_constraintTop_toBottomOf="@+id/tv_extra_title" />

                    </androidx.constraintlayout.widget.ConstraintLayout>
                </com.lihang.ShadowLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </eightbitlab.com.blurview.BlurView>
    </androidx.core.widget.NestedScrollView>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

</androidx.constraintlayout.widget.ConstraintLayout>